Debian Bug report logs - #528560
debian (lenny) installer via serial console does not support hardware flow control (for serial over lan)

version graph

Package: busybox-udeb; Maintainer for busybox-udeb is Debian Install System Team <debian-boot@lists.debian.org>; Source for busybox-udeb is src:busybox.

Reported by: "Isabelle, Francois" <Francois.Isabelle@ca.kontron.com>

Date: Wed, 13 May 2009 17:12:02 UTC

Severity: normal

Tags: patch

Fixed in version busybox/1:1.17.1-6

Done: Otavio Salvador <otavio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#528560; Package debian-installer. (Wed, 13 May 2009 17:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Isabelle, Francois" <Francois.Isabelle@ca.kontron.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

20090123lenny1_amd64

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Wed, 13 May 2009 17:12:04 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Isabelle, Francois" <Francois.Isabelle@ca.kontron.com>
To: <submit@bugs.debian.org>
Subject: debian (lenny) installer via serial console does not support hardware flow control (for serial over lan)
Date: Wed, 13 May 2009 13:07:11 -0400
Package: debian-installer
Version: 20090123lenny1_amd64

  This is a not so "special" setup, even though it's not the typical desktop configuration.
  - the board does not have a video device
  - the serial console is not physically accessible
  - the board supports an IPMI service processor with "Serial Over Lan" 

  As with many SOL implementations, the service processor needs to use H/W flow control to avoid the display of scrambled character on the console. Especially on "dialog/ncurses" applications that use a lot of escape characters to display the interface (such as the debian installer).
 
  When booting from the netinst CD, the splash screen is showing garbage due to BIOS based serial console redirection (this would not happen with a text only splash). Then I can type "help" and get a clean "boot:" prompt.
  After that I issue:
  boot: install console=ttyS0,115200n8r 
   or
  boot: expert console=ttyS0,115200n8r


 and I expect the hardware flow control to be working. It is not.

Thank you

François Isabelle | Software Designer | Kontron Canada | T 450 437 5682 |F 450 437 8053 | E francois.isabelle@ca.kontron.com





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#528560; Package debian-installer. (Wed, 13 May 2009 18:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to 528560@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 13 May 2009 18:21:13 GMT) Full text and rfc822 format available.

Message #10 received at 528560@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 528560@bugs.debian.org
Cc: "Isabelle, Francois" <Francois.Isabelle@ca.kontron.com>
Subject: Re: Bug#528560: debian (lenny) installer via serial console does not support hardware flow control (for serial over lan)
Date: Wed, 13 May 2009 20:06:54 +0200
On Wednesday 13 May 2009, Isabelle, Francois wrote:
>   As with many SOL implementations, the service processor needs to use
> H/W flow control to avoid the display of scrambled character on the
> console. Especially on "dialog/ncurses" applications that use a lot of
> escape characters to display the interface (such as the debian
> installer).

Have you tried booting with DEBIAN_FRONTEND=text?

> and I expect the hardware flow control to be working. It is not.

No ideas about that. If you have the skills, you may be able to do some 
debugging by booting with BOOT_DEBUG=3. That will give you a debug shell 
before the installer proper is loaded (before init).

How things progress from there is documented in:
http://d-i.alioth.debian.org/doc/internals/

Cheers,
FJP




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#528560; Package debian-installer. (Wed, 13 May 2009 18:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Isabelle, Francois" <Francois.Isabelle@ca.kontron.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 13 May 2009 18:33:09 GMT) Full text and rfc822 format available.

Message #15 received at 528560@bugs.debian.org (full text, mbox):

From: "Isabelle, Francois" <Francois.Isabelle@ca.kontron.com>
To: <528560@bugs.debian.org>
Subject: RE: Bug#528560: debian (lenny) installer via serial console does not support hardware flow control (for serial over lan)
Date: Wed, 13 May 2009 14:30:50 -0400
> Have you tried booting with DEBIAN_FRONTEND=text?
No, I was not aware of the availability of this mode. On Centos, you use "linux text" to boot a text mode installer that works well on vt100 consoles. Maybe the <F1> menu should hint the user about this ...

Anyway, I'll see if I can try it.

>> and I expect the hardware flow control to be working. It is not.
>No ideas about that. If you have the skills, you may be able to do some debugging by booting with BOOT_DEBUG=3.

Ok, I don't know if I'll have time for this, but thanks for the pointer.

François Isabelle | Software Designer | Kontron Canada | T 450 437 5682 |F 450 437 8053 | E francois.isabelle@ca.kontron.com


-----Message d'origine-----
De : Frans Pop [mailto:elendil@planet.nl] 
Envoyé : 13 mai 2009 14:07
À : 528560@bugs.debian.org
Cc : Isabelle, Francois
Objet : Re: Bug#528560: debian (lenny) installer via serial console does not support hardware flow control (for serial over lan)

On Wednesday 13 May 2009, Isabelle, Francois wrote:
>   As with many SOL implementations, the service processor needs to use
> H/W flow control to avoid the display of scrambled character on the
> console. Especially on "dialog/ncurses" applications that use a lot of
> escape characters to display the interface (such as the debian
> installer).

Have you tried booting with DEBIAN_FRONTEND=text?

> and I expect the hardware flow control to be working. It is not.

No ideas about that. If you have the skills, you may be able to do some 
debugging by booting with BOOT_DEBUG=3. That will give you a debug shell 
before the installer proper is loaded (before init).

How things progress from there is documented in:
http://d-i.alioth.debian.org/doc/internals/

Cheers,
FJP




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#528560; Package debian-installer. (Wed, 13 May 2009 19:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 13 May 2009 19:33:02 GMT) Full text and rfc822 format available.

Message #20 received at 528560@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 528560@bugs.debian.org
Cc: "Isabelle, Francois" <Francois.Isabelle@ca.kontron.com>
Subject: Re: Bug#528560: debian (lenny) installer via serial console does not support hardware flow control (for serial over lan)
Date: Wed, 13 May 2009 21:29:11 +0200
On Wednesday 13 May 2009, Isabelle, Francois wrote:
> > Have you tried booting with DEBIAN_FRONTEND=text?
>
> No, I was not aware of the availability of this mode. On Centos, you
> use "linux text" to boot a text mode installer that works well on vt100
> consoles. Maybe the <F1> menu should hint the user about this ...

We have an installation guide...
Not every advanced option of the installer can be documented in the few 
help screens available.

The hardware control issue might possibly be a bug/limitation of busybox. 
Just a wild guess though.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#528560; Package debian-installer. (Sun, 17 Oct 2010 18:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 17 Oct 2010 18:42:06 GMT) Full text and rfc822 format available.

Message #25 received at 528560@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Frans Pop <elendil@planet.nl>, 528560@bugs.debian.org
Cc: "Isabelle, Francois" <Francois.Isabelle@ca.kontron.com>
Subject: Re: Bug#528560: debian (lenny) installer via serial console does not support hardware flow control (for serial over lan)
Date: Sun, 17 Oct 2010 20:39:58 +0200
[Message part 1 (text/plain, inline)]
reassign 528560 busybox-udeb
thanks

Hello,

Frans Pop, le Wed 13 May 2009 21:29:11 +0200, a écrit :
> The hardware control issue might possibly be a bug/limitation of busybox. 
> Just a wild guess though.

Which was correct.  Here is a trivial patch that fixes it.

Samuel
[patch-busybox (text/plain, attachment)]

Bug reassigned from package 'debian-installer' to 'busybox-udeb'. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Sun, 17 Oct 2010 18:42:09 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Sun, 17 Oct 2010 18:42:11 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Thu, 21 Oct 2010 18:36:05 GMT) Full text and rfc822 format available.

Notification sent to "Isabelle, Francois" <Francois.Isabelle@ca.kontron.com>:
Bug acknowledged by developer. (Thu, 21 Oct 2010 18:36:05 GMT) Full text and rfc822 format available.

Message #34 received at 528560-close@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: 528560-close@bugs.debian.org
Subject: Bug#528560: fixed in busybox 1:1.17.1-6
Date: Thu, 21 Oct 2010 18:32:13 +0000
Source: busybox
Source-Version: 1:1.17.1-6

We believe that the bug you reported is fixed in the latest version of
busybox, which is due to be installed in the Debian FTP archive:

busybox-static_1.17.1-6_amd64.deb
  to main/b/busybox/busybox-static_1.17.1-6_amd64.deb
busybox-syslogd_1.17.1-6_all.deb
  to main/b/busybox/busybox-syslogd_1.17.1-6_all.deb
busybox-udeb_1.17.1-6_amd64.udeb
  to main/b/busybox/busybox-udeb_1.17.1-6_amd64.udeb
busybox_1.17.1-6.debian.tar.gz
  to main/b/busybox/busybox_1.17.1-6.debian.tar.gz
busybox_1.17.1-6.dsc
  to main/b/busybox/busybox_1.17.1-6.dsc
busybox_1.17.1-6_amd64.deb
  to main/b/busybox/busybox_1.17.1-6_amd64.deb
udhcpc_1.17.1-6_all.deb
  to main/b/busybox/udhcpc_1.17.1-6_all.deb
udhcpd_1.17.1-6_all.deb
  to main/b/busybox/udhcpd_1.17.1-6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 528560@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Otavio Salvador <otavio@debian.org> (supplier of updated busybox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 21 Oct 2010 16:17:03 -0200
Source: busybox
Binary: busybox busybox-static busybox-udeb busybox-syslogd udhcpc udhcpd
Architecture: source all amd64
Version: 1:1.17.1-6
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Otavio Salvador <otavio@debian.org>
Description: 
 busybox    - Tiny utilities for small and embedded systems
 busybox-static - Standalone rescue shell with tons of builtin utilities
 busybox-syslogd - Provides syslogd and klogd using busybox
 busybox-udeb - Tiny utilities for the debian-installer (udeb)
 udhcpc     - Provides the busybox DHCP client implementation
 udhcpd     - Provides the busybox DHCP server implementation
Closes: 528560
Changes: 
 busybox (1:1.17.1-6) unstable; urgency=low
 .
   * Apply patch from Samuel Thibault <sthibault@debian.org> to enable
     hardware flow control for serial console (closes: #528560).
Checksums-Sha1: 
 68b1743e41e7e3db20a33085feff65d314670235 1777 busybox_1.17.1-6.dsc
 b0c1851b66eae8477e96f7f5c516b19dadc738f9 64257 busybox_1.17.1-6.debian.tar.gz
 a0d1098fda62fa9ff0ad7363b980963329a9df46 13400 busybox-syslogd_1.17.1-6_all.deb
 ff5d716f065e8a390405394a5eda915faacfce77 10988 udhcpc_1.17.1-6_all.deb
 c6d555035a71a12525009b8e69112248bd9d552b 14302 udhcpd_1.17.1-6_all.deb
 70769fdfd5d164b2fc20277c36ed08511772014f 335682 busybox_1.17.1-6_amd64.deb
 8aad09c63fb01d98545dc9b759357ea0404cc026 950422 busybox-static_1.17.1-6_amd64.deb
 35892105244f6b031e4d81235c1f9cf9c244599c 159878 busybox-udeb_1.17.1-6_amd64.udeb
Checksums-Sha256: 
 35b48815eb0aee829dd3b3e10666bbcd0e981b87e855c0ecc417c91b61b9dc75 1777 busybox_1.17.1-6.dsc
 9c4c0013f67639f33698c0ae30576e90e8c23de0ac2026ced5a924e083526e57 64257 busybox_1.17.1-6.debian.tar.gz
 7844fe4d9712905cfa2a94d81c7c12171413a2d2b3766318da6fb9fd0b349ae7 13400 busybox-syslogd_1.17.1-6_all.deb
 e9c573acc18608b16cd1528efff8382c7958cca39c7bb47848c059013a1ef8d8 10988 udhcpc_1.17.1-6_all.deb
 a6b62628fd5bc8cb37a71169fbb2f553eb8009026f985c7f08bbfc1ea3dec90e 14302 udhcpd_1.17.1-6_all.deb
 965eed8bb2f663e041a0f8a40639679a270c606f9613ba2ed579f4aa25461532 335682 busybox_1.17.1-6_amd64.deb
 d46f0f12f226c9f4741d6efd4a707b74da306c020ea580b7b6918293ff8a743d 950422 busybox-static_1.17.1-6_amd64.deb
 6c96bbef3d600ea71319fc9e95b39321d803d5980054e6cdd764a2953acb7364 159878 busybox-udeb_1.17.1-6_amd64.udeb
Files: 
 27615108f2dbc8f55fd9b4e41d853e4a 1777 utils optional busybox_1.17.1-6.dsc
 85b7f82650e016533a96dee9b1066411 64257 utils optional busybox_1.17.1-6.debian.tar.gz
 1a90ad4634301ce5eed8eed7c35f8b38 13400 utils optional busybox-syslogd_1.17.1-6_all.deb
 12f64d493a682cf069f50868dd4078c1 10988 utils optional udhcpc_1.17.1-6_all.deb
 f87c37b0431baacf468c8f5df40e656f 14302 utils optional udhcpd_1.17.1-6_all.deb
 a200961bce7639d763cfba68f57fdd93 335682 utils optional busybox_1.17.1-6_amd64.deb
 0eb25a2a883ea9074f50a5c687fbd6b5 950422 shells extra busybox-static_1.17.1-6_amd64.deb
 a3d4b68c7b1b8dcd1dd5d7d443bfc83d 159878 debian-installer extra busybox-udeb_1.17.1-6_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMwISBAAoJEOtw/vPN/G5PBkIQAK05nzOvPE82TfxUO5kzUo5W
AiJ/zeeinOt5z0ojh+e0ZJFDctBaWoVRVTmjK9gve1nE1ih6ExYQkbgM2q+LO91N
A/Nt3PSzoz5jJr5kiOEWR9OMYmKLx+g6EZc+3dd6Zvov1o3c3j0xpJFiNvi/KZZQ
Aob031MyeDAbVwGLgcEUB521ftMDVTAvtgdIG2rVGkcsy0E6CT6fNeMFLPTuary9
ceAYL8YQHwUD41C8SrkfHh5Pk3yiHM6nVa4EKy/kHu2bSBfQ6hllsgcnno9N6j2n
UX5Ojq3n8HQYAVC30zxi9oprfj0MM0EMgDndYGY4XB+Nq67vK0bpD2vY85nf1gvv
nugTipesAygA63MVCYNOKbu5pcGQtVdb/RZL2OS8ykNjbUdAGg/Gd4okZ9f/5dCK
lnBbdqfNJfqdja0c6ppcYfwYIy9sIz5JmysB2ruv6PJKMc7MI0gd90MofxaOMQEK
ovOT2JZHcz5ihi0CtDmpFSHxr6XxRg8NeotXm+PVpzOREtjHUwbdOU78yCJa2kmX
e0WPb/K89b0yBqx6Vv8/S5AbWrITje6nOJokOzFrB+E4GMhzp8ioSYrCU0paYNfZ
t/sTeNUTVOYHIb6JlOxUeDROGf7iblaaEBgIpmvyLoE2y+x7isPKnP15BhbDgUsk
nQL+6aqn/PQsim7PJG3+
=qqys
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 29 Nov 2010 07:33:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:15:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.